1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Does Plesk support fastCGI module?

Discussion in 'Plesk 10.x for Windows Issues, Fixes, How-To' started by Eric Duan, Jan 20, 2011.

  1. Eric Duan

    Eric Duan Guest

    0
     
    Version 10.0.1
    Windows 2008 R2 amd64
    IIS 7.5

    Hi there,

    It seems like PleskCP installed TS PHP 5.2.13 and uses isapiModule by default.
    Is there a way use fastCGI to host PleskCP?
    Can I change the PHP to latest build NTS PHP 5.2.17? Because some of my apps reqiures NTS php.
    I wanna use only one nts PHP to host both PleskCP and all the apps installed on the server.
    How can I make it?

    Could you please give a detailed step?
    Thanks for your support.
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
  3. Eric Duan

    Eric Duan Guest

    0
     
    Thanks for your reply.

    Yes I've read it.
    My question is can I update the PHP from TS PHP5.2.13 to NTS PHP 5.2.17?
    Not just switch the safe mode to off.
    And I need more details about how to make all apps using fastCGI module.
    Currently, when I installed app from PleskCP, it is using isapiModule by default.

    Now I've already deployed plesk on my server.
    I just wanna know if the following steps would make it work:
    Installed NTS PHP 5.2.17 under: ...\Program Files (x86)\Parallels\Plesk\Additional\PleskPHP5
    Remove handle mapping which is using isapiModule.
    Created handle map to fastCGI.
    Somesettings on PleskCP....

    Is there any document about how to switch to fastCGI on PleskCP?

    Thanks a lot!
     
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
  5. Eric Duan

    Eric Duan Guest

    0
     
    This does not answer my question.
    He had similar issue as me.
    But he tried to installed 2 more php on the server to reslove it.
    TS PHP for PleskCP using isapiModule and NTS PHP for other apps using fastCGI.
    I don't wanna install 2 more php.
    If Plesk does support fasgCGI module, I only need one PHP to handle both Plesk and other apps.
    What I ask is that DOES Plesk supoort fastCGI? And HOW?
    I am trying to use fastCGI to handle Plesk.
    How could I do?
    And can I repace TS PHP with NTS PHP under PleskPHP folder?
    What else should I do in the PleskCP?
    Is it hard to answer my question directly?
     
  6. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    If you mean admin's but not hosting PHP - you can't change it because Plesk admin interface functionality will be broken. Hosting PHP you can modify and upgrade as you want.
     
  7. Eric Duan

    Eric Duan Guest

    0
     
    Okay, we got the point.
    The php under PleskPHP folder cannot be changed.
    But can I change the handle from isapaModule to fastCGI module for the PleskCP admin?
    Does PleskCP admin only support isapiModule?
     
  8. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    I'm not sure but I strongly do not recommend you change something for admin's PHP. It can lead to unpredictable consequences.
     
  9. Eric Duan

    Eric Duan Guest

    0
     
    I see.
    It seems there is no workaround for only one PHP to fit for both TS and NTS apps.
    I'll try to install 2.
    Thanks, dude.
     
Loading...